package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 设备监控对象 t_device_report_data
 * 
 * @author zehong
 * @date 2021-08-09
 */
public class TDeviceReportData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备上报id */
    private Long deviceReportDataId;

    /** 设备id */
    @Excel(name = "设备id")
    private String deviceNum;

    /** 标况累计量 */
    @Excel(name = "标况累计量")
    private BigDecimal standardConditionAccumulation;

    /** 工况累计量 */
    @Excel(name = "工况累计量")
    private BigDecimal workingConditionAccumulation;

    /** 剩余量 */
    @Excel(name = "剩余量")
    private BigDecimal residualQuantity;

    /** 标况流量 */
    @Excel(name = "标况流量")
    private BigDecimal standardConditionFlow;

    /** 工况流量 */
    @Excel(name = "工况流量")
    private BigDecimal workingConditionFlow;

    /** 温度 */
    @Excel(name = "温度")
    private BigDecimal temperature;

    /** 压力 */
    @Excel(name = "压力")
    private BigDecimal pressure;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /** 通讯状态 */
    @Excel(name = "通讯状态")
    private String communicationStatus;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private String deviceStatus;

    public void setDeviceReportDataId(Long deviceReportDataId) 
    {
        this.deviceReportDataId = deviceReportDataId;
    }

    public Long getDeviceReportDataId() 
    {
        return deviceReportDataId;
    }
    public void setDeviceNum(String deviceNum)
    {
        this.deviceNum = deviceNum;
    }

    public String getDeviceNum()
    {
        return deviceNum;
    }
    public void setStandardConditionAccumulation(BigDecimal standardConditionAccumulation) 
    {
        this.standardConditionAccumulation = standardConditionAccumulation;
    }

    public BigDecimal getStandardConditionAccumulation() 
    {
        return standardConditionAccumulation;
    }
    public void setWorkingConditionAccumulation(BigDecimal workingConditionAccumulation) 
    {
        this.workingConditionAccumulation = workingConditionAccumulation;
    }

    public BigDecimal getWorkingConditionAccumulation() 
    {
        return workingConditionAccumulation;
    }
    public void setResidualQuantity(BigDecimal residualQuantity) 
    {
        this.residualQuantity = residualQuantity;
    }

    public BigDecimal getResidualQuantity() 
    {
        return residualQuantity;
    }
    public void setStandardConditionFlow(BigDecimal standardConditionFlow) 
    {
        this.standardConditionFlow = standardConditionFlow;
    }

    public BigDecimal getStandardConditionFlow() 
    {
        return standardConditionFlow;
    }
    public void setWorkingConditionFlow(BigDecimal workingConditionFlow) 
    {
        this.workingConditionFlow = workingConditionFlow;
    }

    public BigDecimal getWorkingConditionFlow() 
    {
        return workingConditionFlow;
    }
    public void setTemperature(BigDecimal temperature) 
    {
        this.temperature = temperature;
    }

    public BigDecimal getTemperature() 
    {
        return temperature;
    }
    public void setPressure(BigDecimal pressure) 
    {
        this.pressure = pressure;
    }

    public BigDecimal getPressure() 
    {
        return pressure;
    }
    public void setReportTime(Date reportTime) 
    {
        this.reportTime = reportTime;
    }

    public Date getReportTime() 
    {
        return reportTime;
    }
    public void setCommunicationStatus(String communicationStatus) 
    {
        this.communicationStatus = communicationStatus;
    }

    public String getCommunicationStatus() 
    {
        return communicationStatus;
    }
    public void setDeviceStatus(String deviceStatus) 
    {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceStatus() 
    {
        return deviceStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceReportDataId", getDeviceReportDataId())
            .append("deviceNum", getDeviceNum())
            .append("standardConditionAccumulation", getStandardConditionAccumulation())
            .append("workingConditionAccumulation", getWorkingConditionAccumulation())
            .append("residualQuantity", getResidualQuantity())
            .append("standardConditionFlow", getStandardConditionFlow())
            .append("workingConditionFlow", getWorkingConditionFlow())
            .append("temperature", getTemperature())
            .append("pressure", getPressure())
            .append("reportTime", getReportTime())
            .append("communicationStatus", getCommunicationStatus())
            .append("deviceStatus", getDeviceStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
